Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class Trie

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.Trie

public class Trie
extends java.lang.Object

A digital search trie for 7-bit ASCII text The API is a subset of java.util.Hashtable The key must be a 7-bit ASCII string The value may be any Java Object

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`static int` | `ALPHA_SIZE` Size of the m_nextChar array.

Constructor Summary
`Trie()` Construct the trie.

Method Summary
`java.lang.Object` | `get(java.lang.String key)` Get an object that matches the key.
`java.lang.Object` | `put(java.lang.String key, java.lang.Object value)` Put an object into the trie for lookup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA_SIZE

    public static final int ALPHA_SIZE

  Size of the m_nextChar array.

Constructor Detail

### Trie

    public Trie()

  Construct the trie.

Method Detail

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

  Put an object into the trie for lookup.

  Parameters:
    `key` - must be a 7-bit ASCII string
    `value` - any java object.
  Returns:
    The old object that matched key, or null.

### get

    public java.lang.Object get(java.lang.String key)

  Get an object that matches the key.

  Parameters:
    `key` - must be a 7-bit ASCII string
  Returns:
    The object that matches the key, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference